/* To learn more about this file see: https://angular.io/config/tsconfig. */
{
  "compileOnSave": false,
  "compilerOptions": {
    "baseUrl": "./",
    "rootDir": "./",
    "paths": {
      "@app/*": ["src/app/*"],
      "@components/*": ["src/app/components/*"],
      "@components": ["src/app/components"],
      "@core/*": ["src/app/core/*"],
      "@models": ["src/app/core/models"],
      "@models/*": ["src/app/core/models/*"],
      "@services": ["src/app/core/services"],
      "@services/*": ["src/app/core/services/*"],
      "@guards": ["src/app/core/guards"],
      "@guards/*": ["src/app/core/guards/*"],
      "@interceptors": ["src/app/core/interceptors"],
      "@interceptors/*": ["src/app/core/interceptors/*"],
      "@resolvers": ["src/app/core/resolvers"],
      "@resolvers/*": ["src/app/core/resolvers/*"],
      "@viewmodels": ["src/app/core/viewmodels"],
      "@viewmodels/*": ["src/app/core/viewmodels/*"],
      "@interfaces": ["src/app/core/interfaces"],
      "@interfaces/*": ["src/app/core/interfaces/*"],
      "@constants": ["src/app/core/constants"],
      "@constants/*": ["src/app/core/constants/*"],
      "@environments/*": ["src/environments/*"],
      "@data/*": ["src/files-data/*"],
      "@assets/*": ["src/assets/*"],
      "@styles/*": ["src/styles/*"]
    },
    "outDir": "./dist/out-tsc",
    "forceConsistentCasingInFileNames": true,
    "strict": true,
    "noImplicitOverride": true,
    "noPropertyAccessFromIndexSignature": true,
    "noImplicitReturns": true,
    "noFallthroughCasesInSwitch": true,
    "sourceMap": true,
    "declaration": false,
    "experimentalDecorators": true,
    "moduleResolution": "node",
    "importHelpers": true,
    "target": "ES2022",
    "module": "ES2022",
    "useDefineForClassFields": false,
    "lib": [
      "ES2022",
      "dom"
    ],
    "skipLibCheck": true,
    "esModuleInterop": true,
    "resolveJsonModule": true
  },
  "angularCompilerOptions": {
    "enableI18nLegacyMessageIdFormat": false,
    "strictInjectionParameters": true,
    "strictInputAccessModifiers": true,
    "strictTemplates": true
  }
}
